#==============================================================================
#  PANDA_AllAttack
#------------------------------------------------------------------------------
#  Version    0.9.0
#  Modified   2013-02-17
#  By         panda (werepanda.jp) http://www.werepanda.jp/
#------------------------------------------------------------------------------
# 퓬̃p[eB[R}hɁuSUvǉXNvgfނłB
# w肵XCb`ONɂȂĂۂɁAuSUvR}hǉ܂B
#==============================================================================

#----------------------------------------------------------------------------
#  萔
#----------------------------------------------------------------------------

# SUR}hLɂȂXCb`ԍ
PANDA_ALL_ATTACK_SWITCH  = 1

module Vocab
  # uSUṽp[eB[R}h
  AllAttack = "SU"
end

class Window_PartyCommand < Window_Command
  #--------------------------------------------------------------------------
  #  IuWFNgiĒ`j
  #--------------------------------------------------------------------------
  def initialize
    s1 = Vocab::fight
    s2 = Vocab::escape
    if $game_switches[PANDA_ALL_ATTACK_SWITCH]
      # SU
      s3 = Vocab::AllAttack
      super(128, [s1, s2, s3], 1, 4)
      draw_item(2, true)
    else
      super(128, [s1, s2], 1, 4)
    end
    draw_item(0, true)
    draw_item(1, $game_troop.can_escape)
    self.active = false
  end
end

class Scene_Battle < Scene_Base
  #--------------------------------------------------------------------------
  #  p[eBR}hI̍XViĒ`j
  #--------------------------------------------------------------------------
  def update_party_command_selection
    if Input.trigger?(Input::C)
      case @party_command_window.index
      when 0  # 키
        Sound.play_decision
        @status_window.index = @actor_index = -1
        next_actor
      when 1  # 
        if $game_troop.can_escape == false
          Sound.play_buzzer
          return
        end
        Sound.play_decision
        process_escape
      when 2  # SU
        unless $game_switches[PANDA_ALL_ATTACK_SWITCH]
          Sound.play_buzzer
          return
        end
        Sound.play_decision
        process_all_attack
      end
    end
  end
  #--------------------------------------------------------------------------
  #  SUiVK`j
  #--------------------------------------------------------------------------
  def process_all_attack
    loop do
      if @actor_index == $game_party.members.size-1
        start_main
        return
      end
      @actor_index += 1
      @active_battler = $game_party.members[@actor_index]
      if @active_battler.auto_battle
        @active_battler.make_action
      elsif @active_battler.inputable?
        @active_battler.action.set_attack
        @active_battler.action.target_index = 0
      end
    end
  end
end
